#!/usr/bin/env python
from gimpfu import *

def OverlayHUE(inImage, inDrawable):
    
    pdb.gimp_context_push
    pdb.gimp_image_undo_group_start (inImage)
    
    (HUE_IMG, NA1, NA2, NA3) = pdb.plug_in_decompose (inImage, inDrawable, "Hue", False)
    HUE_LAYER = HUE_IMG.active_layer
    (meanH, stddev, median, pixels, count, percent)=pdb.gimp_histogram(HUE_LAYER, 0, 0, 255)
    #gimp.message ("hue = "+str(meanH))
    
    hueDrawable = inDrawable.copy()
    inImage.add_layer (hueDrawable, 0)
    hueDrawable.mode = OVERLAY_MODE
    pdb.gimp_colorize (hueDrawable, meanH, 50.0, 0.0)
    
    pdb.gimp_image_undo_group_end (inImage)
    pdb.gimp_context_pop
    pdb.gimp_displays_flush()
    return()
    
register(
    "OverlayHUE",    "OverlayHUE",          "OverlayHUE",
    "Diego",         "Diego Nassetti ",     "2017",
    "OverlayHUE",
    "RGB*",
    [
      (PF_IMAGE, "image", "Input image", None),
      (PF_DRAWABLE, "idrawable", "Input drawable", None),
    ],
    [],
    OverlayHUE,
    menu="<Image>/Diego/Ancillary",
    )

main()
